---
title: AddressErrors.languageCode
slug: Web/API/AddressErrors/languageCode
tags:
  - API
  - Address
  - AddressErrors
  - Deprecated
  - Language
  - LanguageCode
  - Locale
  - Payment Request
  - Payment Request API
  - Property
  - Reference
  - payment
---
<div>{{APIRef("Payment Request API")}}{{deprecated_header}}</div>

<p><span class="seoSummary">An object based on {{domxref("AddressErrors")}} includes a <strong><code>languageCode</code></strong> property when the address's {{domxref("PaymentAddress.languageCode", "languageCode")}} property couldn't be validated. The returned string explains the error and should offer suggestions for how to correct it.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>languageError</em> = <em>AddressErrors</em>.languageCode;</pre>

<h3 id="Value">Value</h3>

<p>If the value specified in the {{domxref("PaymentAddress")}} object's {{domxref("PaymentAddress.languageCode", "languageCode")}} property could not be validated, this property contains a {{domxref("DOMString")}} offering a human-readable explanation of the validation error and offers suggestions for correcting it.</p>

<p>This validation might be as simple as ensuring the text of the string is compliant with the syntax defined in <a href="https://tools.ietf.org/html/bcp47">BCP-47</a>, or as detailed as actually verifying that the specified string matches a value from a database.</p>

<p>If the <code>languageCode</code> value was validated successfully, this property is not included in the <code>AddressErrors</code> object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-addresserrors-languagecode','AddressErrors.languageCode')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AddressErrors.languageCode")}}</p>
</div>
